tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James Williamson" <ja...@nameonthe.net>
Subject Re: Tomcat 4.0 Apache Connector
Date Sun, 10 Jun 2001 18:28:50 GMT
Hi Ryan,

This is actually mentioned on the tomcat-dev list, you need to modify your
Makefile in apache-1.3, you need to add a -lpthread library parameter entry,
changing @$(APXS) -c $(APXSFLAGS) mod_webapp.so to
@$(APXS) -c $(APXSFLAGS) -pthread mod_webapp.so. I would send you a diff
although I'm on my laptop.. Do a search on the tomcat-dev archives if you
need it.

Regards,

James

----- Original Message -----
From: ryan.roemmich <rroemmich@kc.rr.com>
To: <tomcat-user@jakarta.apache.org>
Sent: Thursday, June 07, 2001 8:19 PM
Subject: Tomcat 4.0 Apache Connector


> I've had problems building the new mod_webapp connector.  After
> installing APR which I believe is required, I build the connector with
> apxs from 1.3.19.
> When I try to start Apache I get a mod_webapp error about
> pthread_create.  So I go back and recompile APR with threads (??).  Now
> at Apache startup I get a mod_webapp shared memory error.  Back to
> compile APR with shared memory.  APR won't compile.
>
> Can someone share a success story detailing the linkage of Tomcat 4.0b5
> and Apache 1.3.19??
>
> -Ryan
>


Mime
View raw message